#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	HTML5 compliant parsing library
Summary(pl.UTF-8):	Biblioteka analizująca HTML5
Name:		libhubbub
Version:	0.3.8
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.netsurf-browser.org/libs/releases/%{name}-%{version}-src.tar.gz
# Source0-md5:	8c45933be18024f871371dab084d8fe2
URL:		http://www.netsurf-browser.org/projects/libhubbub/
BuildRequires:	libparserutils-devel >= 0.2.5
BuildRequires:	netsurf-buildsystem >= 1.10
Requires:	libparserutils >= 0.2.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hubbub is an HTML5 compliant parsing library, written in C. It was
developed as part of the NetSurf project and is available for use by
other software under the MIT licence.

The HTML5 specification defines a parsing algorithm, based on the
behaviour of mainstream browsers, which provides instructions for how
to parse all markup, both valid and invalid. As a result, Hubbub
parses web content well.

If you are looking for an HTML5 parser in Python or Ruby, you may wish
to look at html5lib.

Features:
- Parses HTML, good and bad
- Simple C API
- Fast
- Character encoding detection
- Well-tested (~90% test coverage)
- Portable
- Shared library

%description -l pl.UTF-8
Hubbub to napisana w C biblioteka analizująca HTML5. Powstała jako
część projektu NetSurf i można jej używać w innych programach na
licencji MIT.

Specyfikacja HTML definiuje algorytm analizy w oparciu o zachowanie
głównych przeglądarek, które dostarczają instrukcje, jak analizować
znaczniki, zarówno poprawne, jak i niepoprawne. W efekcie Hubbub
dobrze analizuje treści WWW.

W razie potrzeby analizowania HTML5 w języku Python lub Ruby, można
rozważyć użycie html5lib.

Cechy biblioteki:
- analizuje HTML, dobry i wadliwy
- proste API dla języka C
- szybka
- wykrywanie kodowania znaków
- dobrze przetestowana (~90% pokrycia testami)
- przenośna
- współdzielona

%package devel
Summary:	libhubbub library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libhubbub
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libparserutils-devel >= 0.2.5

%description devel
This package contains the include files and other resources you can
use to incorporate libhubbub into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe pozwalające na używanie biblioteki libhubbub w swoich
programach.

%package static
Summary:	libhubbub static library
Summary(pl.UTF-8):	Statyczna biblioteka libhubbub
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libhubbub library.

%description static -l pl.UTF-8
Statyczna biblioteka libhubbub.

%prep
%setup -q

%build
export AR="%{__ar}"
export CC="%{__cc}"
export CFLAGS="%{rpmcflags} %{rpmcppflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared

%if %{with static_libs}
%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static
%endif

%install
rm -rf $RPM_BUILD_ROOT

export AR="%{__ar}"
export CC="%{__cc}"
export CFLAGS="%{rpmcflags} %{rpmcppflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/libhubbub.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhubbub.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhubbub.so
%{_includedir}/hubbub
%{_pkgconfigdir}/libhubbub.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libhubbub.a
%endif
%changelog
* Sun Apr 07 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libhubbub.git;a=log;h=master

* Sat Jan 06 2024 Jakub Bogusz <qboosh@pld-linux.org> 47ff41b
- updated -devel dependency

* Sat Jan 06 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cb8cd09
- updated to 0.3.8

* Sat May 30 2020 Witold Filipczyk <witekfl@poczta.onet.pl> 52baebb
- updated to 0.3.7

* Sat Nov 30 2019 Jakub Bogusz <qboosh@pld-linux.org> a0c9b27
- updated to 0.3.6

* Fri Dec 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 64e6223
- updated to 0.3.5

* Mon Oct 30 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 14769db
- updated to 0.3.4

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> e4bd431
- dropped outdated build patch

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> db4167e
- updated to 0.3.3

* Tue Apr 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 6f21442
- updated -devel dependencies

* Mon Mar 16 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 05c129a
- updated to 0.3.1

* Thu Oct 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c5c8b2d
- rel 2; warnings are acceptable now

* Mon May 12 2014 Jakub Bogusz <qboosh@pld-linux.org> a040943
- pl
- use LIBDIR to get proper libs directory, also in .pc files
- install time dependencies

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a8397d2
- lib.patch deleted

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c50b754
- obsolete

* Tue Apr 29 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 95bed79
- up to 0.3.0
- commented the lib.patch

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 6204307
- fix install in lib64 systems, verbose files, package ghost soname symlink

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> da5c947
- pass our CC, cleanup bad copy paste

* Sat Apr 27 2013 witekfl <witekfl@poczta.onet.pl> 9cb0639
- new

